#pragma once

#include "CoreMinimal.h"
#include "UObject/Interface.h"
#include "SurrenderNotificationViewData.h"
#include "SurrenderNotificationViewInterface.generated.h"

UINTERFACE(Blueprintable)
class DBDUIVIEWINTERFACES_API USurrenderNotificationViewInterface : public UInterface
{
	GENERATED_BODY()
};

class DBDUIVIEWINTERFACES_API ISurrenderNotificationViewInterface : public IInterface
{
	GENERATED_BODY()

public:
	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent)
	void SetSurrenderNotificationVisibility(const bool isVisible);

	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent)
	void SetData(const FSurrenderNotificationViewData& surrenderNotificationViewData);

};
